Bug 473190 - ncl doesn't understand udunits functions
ncl doesn't understand udunits functions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ncl (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 19:15 EST by Ivan
Modified: 2008-12-21 03:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:39:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan 2008-11-26 19:15:37 EST
Description of problem:
ncl doesn't understand udunits functions

Version-Release number of selected component (if applicable):
ncl-5.0.0-11.fc9.i386
udunits-devel-1.12.4-15.fc9.i386
udunits-1.12.4-15.fc9.i386

How reproducible:
Any time by simply trying a test function from this site:
http://www.ncl.ucar.edu/Document/Functions/Built-in/ut_inv_calendar.shtml

such as
date = ut_inv_calendar(year,month,day,hour,minute,second,time@units, 0)

Steps to Reproduce:
1. Installed ncl
2. Installed all udunits packages
3. Ran ncl with the query above
  
Actual results:
[user@fbuilder ~]# ncl
 Copyright (C) 1995-2007 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.0.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> date = ut_inv_calendar(year,month,day,hour,minute,second,time@units, 0)
fatal:Undefined identifier: (ut_inv_calendar) is undefined, can't continue
fatal:Execute: Error occurred at or near line 0

ncl 1>


Expected results:
ncl 1>

Additional info:
Linux fbuilder.domain.co.nz 2.6.27.5-41.fc9.i686 #1 SMP Thu Nov 13 20:52:14 EST 2008 i686 athlon i386 GNU/Linux

System is fully patched and according to this page
http://www.ncl.ucar.edu/Download/build_from_src.shtml#Udunits

all we need to do is just install udunits which is an external (optional) package. I understand that ncl was built with udunits support but something is wrong.

Thanks a lot,
Ivan
Comment 1 Fedora Update System 2008-11-27 23:09:20 EST
ncl-5.0.0-12.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ncl-5.0.0-12.fc9
Comment 2 Fedora Update System 2008-11-27 23:10:13 EST
ncl-5.0.0-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ncl-5.0.0-13.fc10
Comment 3 Fedora Update System 2008-12-02 20:28:35 EST
ncl-5.0.0-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10692
Comment 4 Fedora Update System 2008-12-02 20:30:44 EST
ncl-5.0.0-12.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10710
Comment 5 Ivan 2008-12-03 03:44:26 EST
Different error this time:
-bash-3.2$ rpm -q ncl
ncl-5.0.0-12.fc9.i386
-bash-3.2$ ncl
 Copyright (C) 1995-2007 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.0.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> a=ut_inv_calendar(2008,2,2,1,2,2,"hours ref 1-1-1 00:00:0.0",0)
udunits(3): Couldn't open units database "/usr/share/ncarg/udunits/udunits.dat": No such file or directory
fatal:ut_inv_calendar: Could not initialize Udunits package.
fatal:Execute: Error occurred at or near line 0

ncl 1>
Comment 6 Fedora Update System 2008-12-04 22:05:26 EST
ncl-5.0.0-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ncl-5.0.0-13.fc9
Comment 7 Fedora Update System 2008-12-04 22:07:18 EST
ncl-5.0.0-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ncl-5.0.0-14.fc10
Comment 8 Fedora Update System 2008-12-06 23:15:08 EST
ncl-5.0.0-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10756
Comment 9 Fedora Update System 2008-12-06 23:34:06 EST
ncl-5.0.0-13.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10923
Comment 10 Ivan 2008-12-07 03:33:29 EST
Slightly different error again:
-bash-3.2$ rpm -qa | grep ncl
ncl-examples-5.0.0-13.fc9.i386
ncl-5.0.0-13.fc9.i386
ncl-devel-5.0.0-13.fc9.i386
-bash-3.2$ rpm -qa | grep udunits
udunits-1.12.4-15.fc9.i386
-bash-3.2$ ncl
 Copyright (C) 1995-2007 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.0.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> a=ut_inv_calendar(2008,2,2,1,2,2,"hours ref 1-1-1 00:00:0.0",0)
fatal:ut_inv_calendar: Could not initialize Udunits package.
fatal:Execute: Error occurred at or near line 0

ncl 1> 

Thanks you for your efforts.
Comment 11 Fedora Update System 2008-12-08 22:16:31 EST
ncl-5.0.0-15.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ncl-5.0.0-15.fc10
Comment 12 Fedora Update System 2008-12-08 22:17:13 EST
ncl-5.0.0-14.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ncl-5.0.0-14.fc9
Comment 13 Orion Poplawski 2008-12-08 22:18:56 EST
Sorry, I've been sick this week, and it shows.  This version tested okay for me.
Comment 14 Ivan 2008-12-09 00:50:32 EST
-bash-3.2$ ncl
 Copyright (C) 1995-2007 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.0.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> a=ut_inv_calendar(2008,2,2,1,2,2,"hours ref 1-1-1 00:00:0.0",0)
ncl 1> 

Perfect! Thanks a bunch for fixing this minor but annoying bug.
Comment 15 Fedora Update System 2008-12-09 23:36:49 EST
ncl-5.0.0-14.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11094
Comment 16 Fedora Update System 2008-12-09 23:38:46 EST
ncl-5.0.0-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ncl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11116
Comment 17 Fedora Update System 2008-12-21 03:39:20 EST
ncl-5.0.0-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-12-21 03:46:48 EST
ncl-5.0.0-14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.